package com.docus.server.collect.basic.ws;

import com.docus.server.collect.ICollector;
import com.docus.server.collect.IWsCollector;
import com.docus.server.collect.web.job.AbstractCollectJob;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 主动webservice请求基础数据
 *
 * @see AbstractCollectJob
 * @see com.docus.server.collect.IJob
 * @see IWsCollector
 */
@Component
public class TBasicWsCollectJob extends AbstractCollectJob<UserDTO> {
    @Resource(name = "wsBasicCollectorImpl")
    private ICollector collector;

    /**
     * xxl jobhandler 手工执行
     */
    @XxlJob("startAllTBasicWsCollect")
    public void startAllTBasicWsCollect() {
        super.startCollectAll(getJobParam());
    }

    /**
     * xxl jobhandler 配置定时启动，如果未完成任务跳过。
     */
    @XxlJob("startIncTBasicWsCollect")
    public void startIncTBasicWsCollect() {
        super.startCollectIncrement(getJobParam());
    }

    @Override
    public void batchInsertOrUpdate(List<UserDTO> t) {
        userService.batchInsertOrUpdatePowerUser(t);
    }

    @SuppressWarnings("unchecked")
    @Override
    public List<UserDTO> execute(Date startDate, Date endDate, long pageNum, long pageSize) {
        //需要根据不同医院去解析不同的内容。使用接口实现的方式。
        return collector.get(startDate, endDate, pageNum, pageSize);
    }
}
