package com.docus.server.collect.dept.http;

import com.docus.server.collect.ICollector;
import com.docus.server.collect.IHttpCollector;
import com.docus.server.collect.web.job.AbstractCollectJob;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 主动http请求科室数据job
 *
 * @see AbstractCollectJob
 * @see com.docus.server.collect.IJob
 * @see IHttpCollector
 */
@Component
public class DeptHttpCollectJob extends AbstractCollectJob<DeptDTO> {

    @Resource(name = "httpDeptCollectorImpl")
    private ICollector collector;

    /**
     * xxl jobhandler 手工执行
     */
    @XxlJob("startAllDeptHttpCollect")
    public void startAllDeptHttpCollect() {
        super.startCollectAll(getJobParam());
    }

    /**
     * xxl jobhandler 配置定时启动，如果未完成任务跳过。
     */
    @XxlJob("startIncDeptHttpCollect")
    public void startIncDeptHttpCollect() {
        super.startCollectIncrement(getJobParam());
    }

    @Override
    public void batchInsertOrUpdate(List<DeptDTO> t) {
        deptService.batchInsertOrUpdatePowerDept(t);
    }

    @SuppressWarnings("unchecked")
    @Override
    public List<DeptDTO> execute(Date startDate, Date endDate, long pageNum, long pageSize) {
        return collector.get(startDate, endDate, pageNum, pageSize);
    }
}
