package com.docus.server.collect.report.event;

import com.docus.server.archivefile.pojo.dto.ReportDTO;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 第三方报告推送下载触发
 *
 * @author wyb
 */
@Getter
public class TaskConsumptionReportDownEvent extends ApplicationEvent {
    /**
     * 下载对应任务id ,接收处理
     */
    private final ReportDTO reportDTO;

    /**
     * @param source    触发该事件的对象
     * @param reportDTO 该事件携带的信息
     */
    public TaskConsumptionReportDownEvent(Object source, ReportDTO reportDTO) {
        super(source);
        this.reportDTO = reportDTO;
    }


}
