package com.docus.server.archivefile.mapper;

import com.docus.server.archivefile.pojo.entity.AfJobTime;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * job 记录时间
 * @author wyb
 */
@Mapper
public interface AfJobTimeMapper {
    /**
     * 根据任务类型查询任务时间记录
     * @param jobType 任务类型
     * @return 任务时间记录
     */
    AfJobTime getAfJobTimeByJobType(@Param("jobType") String jobType);

    /**
     * 插入job时间参数
     * @param afJobTime job时间参数
     * @return 数据库操作结果
     */
    int insert(@Param("afJobTime") AfJobTime afJobTime);

    /**
     * 修改job时间
     * @param afJobTime job时间
     * @return 数据库操作结果
     */
    int updateById(@Param("afJobTime") AfJobTime afJobTime);
}
