package com.docus.server.archivefile.pojo.dto;

import lombok.Data;

import java.util.Map;

/**
 * 报告推送信息
 */
@Data
public class ReportDTO {
    /**
     * 住院号
     */
    private String inpatientNo;
    /**
     * 记账号/住院流水号
     */
    private String jzh;
    /**
     * 住院次数
     */
    private Integer admisstimes;
    /**
     * 采集来源系统
     */
    private String sysFlag;
    /**
     * 下载地址
     */
    private String downUrl;
    /**
     * 文件名
     */
    private String fileTitle;
    /**
     * 采集流水号/文件唯一id
     */
    private String serialnum;

    /**
     * 文件分类id
     */
    private String assortId;

    /**
     * 采集类型(文件来源 1:采集器；2：扫描生产软件)
     */
    private String fileSource;

    /**
     * 文件保存位置类型  1:服务器本地；2：ftp服务器；3：共享文件夹
     */
    private String filestoragetype;

    /**
     * 下载对应任务id ,接收处理
     */
    private Long taskId;

    /**
     * 业务病案主键
     */
    private String patientId;

    /**
     * 下载路径类型 1:url，2:base64，3:url base64，4:共享文件，5：本地文件base64
     */
    private Integer downtype = 1;

    /**
     * 拓展参数
     */
    private Map<String, Object> params;
}
