package com.docus.log.annotation;

import com.docus.log.processor.ITrackProcessor;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface TrackGroup {

    /**
     * 组概念
     */
    String group() default "";

    /**
     * 描述概念
     */
    String desc() default "";

    /**
     * 动作概念
     */
    String action() default "";

    /**
     * 初始化bean概念
     */
    String[] beanNames() default {};

    /**
     * 处理器概念
     */
    Class<? extends ITrackProcessor> processor();
}
