package com.docus.server.sys.common.pojo.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 科室
 * </p>
 *
 * @author jiashi
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "PowerDept对象", description = "科室")
public class PowerDept implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "科室id")
    private Long deptId;

    @ApiModelProperty(value = "科室代码")
    private String deptCode;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "字典id")
    private Integer dictId;

    @ApiModelProperty(value = "是否有效")
    private Integer effective;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "创建人")
    private String creater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    @ApiModelProperty(value = "更新人")
    private String updater;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "临床科室排序")
    private Integer sort;

    @ApiModelProperty(value = "0:非临床科室,1:临床科室")
    private Integer type;
}
