package com.docus.server.sys.common.pojo.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="PowerUser对象", description="用户表")
public class PowerUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "登陆名")
    private String userName;

    @ApiModelProperty(value = "用户密码")
    private String userPwd;

    @ApiModelProperty(value = "性别 0 男 1 女")
    private Integer userSex;

    @ApiModelProperty(value = "年龄")
    private Integer userAge;

    @ApiModelProperty(value = "电话")
    private String userTel;

    @ApiModelProperty(value = "邮箱")
    private String userEmail;

    @ApiModelProperty(value = "微信信息")
    private String wxBank;

    @ApiModelProperty(value = "职位")
    private String userPosition;

    @ApiModelProperty(value = "角色")
    private Long roleId;

    @ApiModelProperty(value = "部门id")
    private String deptId;

    @ApiModelProperty(value = "是否有效")
    private Integer effective;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "创建人")
    private String creater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    @ApiModelProperty(value = "更新人")
    private String updater;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "登录标志 默认为0为未登录 1登录")
    private Integer loginFlag;

    @ApiModelProperty(value = "用户名称")
    private String name;

    @ApiModelProperty(value = "所属科室代码 多个以,分隔")
    private String deptCode;

    @ApiModelProperty(value = "权限科室 拥有对科室查阅权限")
    private String powerDept;

    @ApiModelProperty(value = "权限 拥有对主管医生查阅权限")
    private String powerAttending;

}
